﻿-- Pawn by Vger-Azjol-Nerub
-- 
-- Russian Resources (by Warr, demonday and bokomatic)

------------------------------------------------------------

if (GetLocale() == "ruRU") then

------------------------------------------------------------
-- "Constants"
------------------------------------------------------------

PawnDefaultScaleName = "По-умолчанию" -- The name of the default Pawn scale
PawnUINoScale = "(нет)" -- The name that shows up in lists of scales if you have no scales

------------------------------------------------------------
-- Master table of stats
------------------------------------------------------------

-- The master list of all stats that Pawn supports.
-- First column is the friendly translated name of the stat.
-- Second column is the Pawn name of the stat; this can't be translated.
-- Third column is the description of the stat.
-- Fourth column is an optional chunk of text instead of the "1 ___ is worth:" prompt.
-- If only a name is present, the row becomes an uneditable header in the UI and is otherwise ignored.
PawnStats =
{
	{"Базовые статы"},
	{"Сила", "Strength", "Первичный стат, сила."},
	{"Ловкость", "Agility", "Первичный стат, ловкость."},
	{"Выносливость", "Stamina", "Первичный стат, выносливость."},
	{"Интеллект", "Intellect", "Первичный стат, интеллект."},
	{"Дух", "Spirit", "Первичный стат, дух."},
	{"Жизнь", "Health", "Чистая жизнь.  Не включает жизнь из выносливости.  Отображается только в энчантах."},
	{"Мана", "Mana", "Чистая мана.  Не включает магу из интеллекта.  Отображается только в энчантах."},
	
	{"Гнезда"},
	{"Красное гнездо", "RedSocket", "Пустое красное гнездо. Подсчитывается только значение без камня."},
	{"Желтое гнездо", "YellowSocket", "Пустое желтое гнездо. Подсчитывается только значение без камня."},
	{"Синее гнездо", "BlueSocket", "Пустое синее гнездо. Подсчитывается только значение без камня."},
	{"Особое: статы", "MetaSocket", "An empty meta socket.  Only counts the stat bonus of a meta gem, not the additional effect.  The item's value will be the same whether or not the meta gem requirements are met."},
	{"Особое: эффект", "MetaSocketEffect", "A meta socket, whether empty or full.  Only counts the additional effect of a meta gem, not its stat bonus."},
	
	{"Статы оружия"},
	{"УВС", "Dps", "Урон в секунду для оружия.  (Если хотите считать УВС по разному для различных типов оружия, см. \"Спец статы оружия\".)"},
	{"Минимальный урон", "MinDamage", "Минимальный урон для оружия."},
	{"Максимальный урон", "MaxDamage", "Максимальный урон для оружия."},
	{"Скорость", "Speed", "Скорость использования оружия, в секундах на удар.  (Если предпочитаете быстрое оружие, это значение должно быть отрицательным.  См. также : \"основы скорости\" в \"Спец статы оружия\".)"},
	
	{"Гибридные рейтинги"},
	{"Рейтинг меткости", "HitRating", "Рейтинг меткости. Затрагивает ближний бой, стрельбу и заклинания."},
	{"Рейтинг критов", "CritRating", "Рейтинг критического удара. Затрагивает ближний бой, стрельбу и заклинания."},
	{"Рейтинг скорости", "HasteRating", "Рейтинг скорости. Затрагивает ближний бой, стрельбу и заклинания."},
	
	{"Атакующие физ. статы"},
	{"Сила Атаки", "Ap", "Сила атаки.  Не включает силу атаки которую вы получаете от Силы и Ловкости, или с ДПС от оружия (для друидов)."},
	{"Ферал СА", "FeralAp", "Сила атаки друидов в животных формах. Если назначаете значение сюда то нужно назначать значение и на ДПС от оружия."},
	{"Дист. СА", "Rap", "Сила атаки для стрельбы."},
	{"Рейтинг мастерства", "ExpertiseRating", "Рейтинг мастерства."},
	{"Пробивание брони", "ArmorPenetration", "Рейтинг пробивания брони: помогает вашим атакам игнорировать броню оппонента."},
	
	{"Статы заклинаний"},
	{"Сила заклинаний", "SpellPower", "Сила заклинаний, Затрагивает оба показателя и урон от заклинаний и лечение."},
	{"Маны за 5", "Mp5", "Регенерация маны за 5 секунд."},
	{"СЗ огня", "FireSpellDamage", "Сила заклинаий огня.  Этот стат не отображается на вещах которые дают силу заклинаний для всех школ магии."},
	{"СЗ тьмы", "ShadowSpellDamage", "Сила заклинаний тьмы.  Этот стат не отображается на вещах которые дают силу заклинаний для всех школ магии."},
	{"СЗ природы", "NatureSpellDamage", "Сила заклинаний природы.  Этот стат не отображается на вещах которые дают силу заклинаний для всех школ магии."},
	{"СЗ тайной магии", "ArcaneSpellDamage", "Сила заклинаний тайной магии.  Этот стат не отображается на вещах которые дают силу заклинаний для всех школ магии."},
	{"СЗ лёд", "FrostSpellDamage", "Сила заклинаний льда.  Этот стат не отображается на вещах которые дают силу заклинаний для всех школ магии."},
	{"СЗ свет", "HolySpellDamage", "Сила заклинаний света.  Этот стат не отображается на вещах которые дают силу заклинаний для всех школ магии."},
	{"Пробивание сопротивления", "SpellPenetration", "Пробивание сопротивления помогает вышим заклинаниям игнорировать сопротивление оппонента."},
	
	{"Оборонительные статы"},
	{"Броня", "Armor", "Броня, не зависимо от типа вещи.  Классы с билками которые дают бонусную броню должны назначать коэфициенты для базовой брони и бонусной брони вместо данного значения."},
	{"Броня: базовая", "BaseArmor", "Базовая броня одежды.  Может быть усилена абилками типа Thick Hide и Frost Presence."},
	{"Броня: бонус", "BonusArmor", "Бонусная броня для оружия, колец и аксессуаров.  Не влияет на абилки которые изменюят значение брони."},
	{"Значение блока", "BlockValue", "Block value increases the amount of damage absorbed with each successful shield block."},
	{"Рейтинг блока", "BlockRating", "Block rating increases your chances of blocking with a shield."},
	{"Рейтинг защиты", "DefenseRating", "Рейтинг защиты."},
	{"Рейтинг устойчивости", "ResilienceRating", "Рейтинг устойчивости."},
	{"Рейтинг уклонения", "DodgeRating", "Рейтинг уклонения."},
	{"Рейтинг парирования", "ParryRating", "Рейтинг парирования."},
	{"Сопротивление всему", "AllResist", "All elemental resistances."},
	{"Сопротивление огню", "FireResist", "Fire resistance.  This stat does not appear on items that give all elemental resistances."},
	{"Сопротивление тьме", "ShadowResist", "Shadow resistance.  This stat does not appear on items that give all elemental resistances."},
	{"Сопростивление природе", "NatureResist", "Nature resistance.  This stat does not appear on items that give all elemental resistances."},
	{"Сопротивление тайной магии", "ArcaneResist", "Arcane resistance.  This stat does not appear on items that give all elemental resistances."},
	{"Сопротивление льду", "FrostResist", "Frost resistance.  This stat does not appear on items that give all elemental resistances."},
	{"Жизнь за 5", "Hp5", "Регениерация жизни за 5 секунд.  Обычно для энчантов."},
	
	{"Типы оружия"},
	{"Топор", "IsAxe", "Points to be assigned if the item is an axe (of any kind)."},
	{"Лук", "IsBow", "Points to be assigned if the item is a bow, or a stack of arrows."},
	{"Арбалет", "IsCrossbow", "Points to be assigned if the item is a crossbow."},
	{"Кинжал", "IsDagger", "Points to be assigned if the item is a dagger."},
	{"Кистевое", "IsFist", "Points to be assigned if the item is a fist weapon (of any kind)."},
	{"Огнестрельное", "IsGun", "Points to be assigned if the item is a gun, or a stack of bullets."},
	{"Дробящее", "IsMace", "Points to be assigned if the item is a mace (of any kind)."},
	{"Древковое", "IsPolearm", "Points to be assigned if the item is a polearm."},
	{"Посох", "IsStaff", "Points to be assigned if the item is a staff."},
	{"Меч", "IsSword", "Points to be assigned if the item is a sword."},
	{"Метательное", "IsThrown", "Points to be assigned if the item is a thrown weapon."},
	{"Жезл", "IsWand", "Points to be assigned if the item is a wand."},

	{"Типы брони"},
	{"Ткань", "IsCloth", "Points to be assigned if the item is cloth."},
	{"Кожа", "IsLeather", "Points to be assigned if the item is leather."},
	{"Кольчуга", "IsMail", "Points to be assigned if the item is mail."},
	{"Латы", "IsPlate", "Points to be assigned if the item is plate."},
	{"Щит", "IsShield", "Points to be assigned if the item is a shield."},

	{"Спец статы оружия"},
	{"Melee: DPS", "MeleeDps", "Weapon damage per second, only for melee weapons."},
	{"Melee: min damage", "MeleeMinDamage", "Weapon minimum damage, only for melee weapons."},
	{"Melee: max damage", "MeleeMaxDamage", "Weapon maximum damage, only for melee weapons."},
	{"Melee: speed", "MeleeSpeed", "Weapon speed, only for melee weapons."},
	{"Ranged: DPS", "RangedDps", "Weapon damage per second, only for ranged weapons."},
	{"Ranged: min damage", "RangedMinDamage", "Weapon minimum damage, only for ranged weapons."},
	{"Ranged: max damage", "RangedMaxDamage", "Weapon maximum damage, only for ranged weapons."},
	{"Ranged: speed", "RangedSpeed", "Weapon speed, only for ranged weapons."},
	{"MH: DPS", "MainHandDps", "Weapon damage per second, only for main hand weapons."},
	{"MH: min damage", "MainHandMinDamage", "Weapon minimum damage, only for main hand weapons."},
	{"MH: max damage", "MainHandMaxDamage", "Weapon maximum damage, only for main hand weapons."},
	{"MH: speed", "MainHandSpeed", "Weapon speed, only for main hand weapons."},
	{"OH: DPS", "OffHandDps", "Weapon damage per second, only for off-hand weapons."},
	{"OH: min damage", "OffHandMinDamage", "Weapon minimum damage, only for off-hand weapons."},
	{"OH: max damage", "OffHandMaxDamage", "Weapon maximum damage, only for off-hand weapons."},
	{"OH: speed", "OffHandSpeed", "Weapon speed, only for off-hand weapons."},
	{"1H: DPS", "OneHandDps", "Weapon damage per second, only for weapons marked One Hand, not including Main Hand or Off Hand weapons."},
	{"1H: min damage", "OneHandMinDamage", "Weapon minimum damage, only for weapons marked One Hand, not including Main Hand or Off Hand weapons."},
	{"1H: max damage", "OneHandMaxDamage", "Weapon maximum damage, only for weapons marked One Hand, not including Main Hand or Off Hand weapons."},
	{"1H: speed", "OneHandSpeed", "Weapon speed, only for weapons marked One Hand, not including Main Hand or Off Hand weapons."},
	{"2H: DPS", "TwoHandDps", "Weapon damage per second, only for two-handed weapons."},
	{"2H: min damage", "TwoHandMinDamage", "Weapon minimum damage, only for two-handed weapons."},
	{"2H: max damage", "TwoHandMaxDamage", "Weapon maximum damage, only for two-handed weapons."},
	{"2H: speed", "TwoHandSpeed", "Weapon speed, only for two-handed weapons."},
	{"Speed baseline", "SpeedBaseline", "Not an actual stat, per se.  This number is subtracted from the Speed stat before multiplying it by the scale value.", "|cffffffffSpeed baseline|r is:"},
	
	{"Статы питомца"},
	{"СА питомца", "Pap", "Сила атаки питомца."},
	{"Броня питомца", "PetArmor", "Броня питомца."},
	{"Выносливость питомца", "PetStamina", "Выносливость для питомца"},
}

------------------------------------------------------------
-- UI strings
------------------------------------------------------------

-- Translation note: All of the strings ending in _Text should be translated; those will show up in the UI.  The strings ending
-- in _Tooltip are only used in tooltips, and can be safely left out.  If you don't want to translate them right now, delete those
-- lines, and Pawn won't show tooltips for those UI elements.


-- Configuration UI
PawnUIFrame_CloseButton_Text = "Закрыть"

-- Configuration UI, Scales tab
PawnUIFrame_ScalesTab_Text = "Шкалы"

PawnUIFrame_WelcomeLabel_Text = "Выберите каторую шкалу вы хотите изменить.  Вы также можете импортировать данные, или создать собственную шкалу, начиная с существующей или со шкалы по-умолчанию."
PawnUIFrame_AddScaleLabel_Text = "Добавить:"
PawnUIFrame_CurrentScaleDropDown_Label_Text = "Текущая:"
PawnUIFrame_CurrentScaleDropDown_Tooltip = "Выберите шкалу для работы."

PawnUIFrame_NewScaleButton_Text = "Новая"
PawnUIFrame_NewScaleButton_Tooltip = "Создать новую пустую шкалу без значений"
PawnUIFrame_NewScaleFromDefaultsButton_Text = "Новая (д)"
PawnUIFrame_NewScaleFromDefaultsButton_Tooltip = "Создать новую шкалу с копированием значени по-умолчанию, которая имеет значения для большинства статов."
PawnUIFrame_CopyScaleButton_Text = "Копия"
PawnUIFrame_CopyScaleButton_Tooltip = "Создать новую шкалу с копирование значений из текущей шкалы."
PawnUIFrame_ImportScaleButton_Text = "Импорт"
PawnUIFrame_ImportScaleButton_Tooltip = "Import a scale by pasting a Pawn scale tag."
PawnUIFrame_RenameScaleButton_Text = "Переимен"
PawnUIFrame_RenameScaleButton_Tooltip = "Переименовать текущую шкалу."
PawnUIFrame_DeleteScaleButton_Text = "Удалить"
PawnUIFrame_DeleteScaleButton_Tooltip = "Удалить текущую шкалу.\n\nОтменить удаление будет невозможно."
PawnUIFrame_ExportScaleButton_Text = "Экспорт"
PawnUIFrame_ExportScaleButton_Tooltip = "Export this scale to a Pawn scale tag that you can copy and share with others."

PawnUIFrame_ClearValueButton_Text = "Исключить"
PawnUIFrame_ClearValueButton_Tooltip = "Исключить стат из шкалы"

PawnUIFrame_ScaleSocketOptionsHeaderLabel_Text = "Когда рассчитывается значение для текущей шкалы:"
PawnUIFrame_ScaleSocketBestRadio_Text = "Automatically handle sockets for me"
PawnUIFrame_ScaleSocketBestRadio_Tooltip = "Pawn will calculate a value for this scale assuming that you would socket the item with the gems that would maximize the value of the item."
PawnUIFrame_ScaleSocketCorrectRadio_Text = "Let me manually pick a socket value"
PawnUIFrame_ScaleSocketCorrectRadio_Tooltip = "Pawn will calculate a value for this scale based on the number you specify."
--PawnUIFrame_ScaleSocketBestRadio_Text = "Использовать лучший камень для гнезда"
--PawnUIFrame_ScaleSocketBestRadio_Tooltip = "When calculating a value for this scale, Pawn will use the colors of gems that will maximize the total value of the item, even if that means putting the \"wrong\" color gem in a socket and ignoring the socket bonus."
--PawnUIFrame_ScaleSocketCorrectRadio_Text = "Использовать правильный камень для гнезда"
--PawnUIFrame_ScaleSocketCorrectRadio_Tooltip = "When calculating a value for this scale, Pawn will use the correct colors of gems for each socket, so the item will qualify for the socket bonus."

PawnUIFrame_ScaleColorSwatch_Label_Text = "Изменить цвет"
PawnUIFrame_ScaleColorSwatch_Tooltip = "Change the color that this scale's name and value appear in on item tooltips."
PawnUIFrame_ShowScaleCheck_Label_Text = "Отображать в подсказках"
PawnUIFrame_ShowScaleCheck_Tooltip = "Uncheck this option to keep it from showing up in your tooltips, without having to actually delete it."

-- Configuration UI, Compare tab
PawnUIFrame_CompareTab_Text = "Сравнить"

PawnUIFrame_VersusHeader_Text = "—vs.—" -- Short for "versus."  Appears between the names of the two items.
PawnUIFrame_VersusHeader_NoItem = "(пусто)" -- Text displayed next to empty item slots.

PawnUIFrame_CompareMissingItemInfo_Text = "Положите вещи в верхний-левый и верхний правый углы для сравнения вещей в соответствии со шкалами приведенными ниже.\n\nОбычно левый слот для вашей текущей вещи, а правый для новой. Когда вещь в правом слоте соответствующие выши вещи будут приведены в левом нижнем углу."

PawnUIFrame_CompareSocketBonusHeader_Text = "Бонус гнезда" -- Heading that appears above the item socket bonuses.

PawnUIFrame_CompareOtherInfoHeader_Text = "Другое" -- Heading that appears above the item's level and the following stats:
PawnUIFrame_CompareAsterisk = "Другие статы " .. VgerCore.Color.Blue .. "(*)"
PawnUIFrame_CompareAsterisk_Yes = "Да" -- Appears on the Compare tab when an item has unrecognized stats (*).

PawnUIFrame_CurrentCompareScaleDropDown_Label_Text = "Шкала сравнения"
PawnUIFrame_CurrentCompareScaleDropDown_Tooltip = "Select a new scale to use when comparing the two items."

PawnUIFrame_ClearItemsButton_Label = "Очистить"
PawnUIFrame_ClearItemsButton_Tooltip = "Убрать обе сравниваемые вещи"

PawnUIFrame_CompareSwapButton_Text = "< Swap >"
PawnUIFrame_CompareSwapButton_Tooltip = "Swap the item on the left side with the one on the right."

-- Configuration UI, Gems tab
PawnUIFrame_GemsTab_Text = "Gems"
PawnUIFrame_GemsHeaderLabel_Text = "Choose a scale to have Pawn determine the best gems available according to the values in that scale."

PawnUIFrame_CurrentGemsScaleDropDown_Label_Text = "Find the best gems for:"
PawnUIFrame_CurrentGemsScaleDropDown_Tooltip = "Select a scale for which to calculate gem values."

PawnUIFrame_GemQualityDropDown_Label_Text = "Качество:"
PawnUIFrame_GemQualityDropDown_Tooltip = "Выберите качество камня для использования в Pawn."

PawnUIFrame_FindGemColorHeader_Text = "%s gems" -- Red
PawnUIFrame_FindGemColorHeader_Meta_Text = "Meta gems (ignoring effects)"
PawnUIFrame_FindGemNoGemsHeader_Text = "No gems found."

-- Configuration UI, Options tab
PawnUIFrame_OptionsTab_Text = "Опции"
PawnUIFrame_OptionsHeaderLabel_Text = "Настройте Pawn как хотите.  Изменения применятся сразу же."

PawnUIFrame_TooltipOptionsHeaderLabel_Text = "Опции подсказок"
PawnUIFrame_ShowItemLevelsCheck_Text = "Отображать уровень вещи"
PawnUIFrame_ShowItemLevelsCheck_Tooltip = "Enable this option to have Pawn display the item level of every item you come across.\n\nEvery item in World of Warcraft has a hidden level that is used to determine how many stats it can have.  In general, an item of the same type (helmet, cloak) and quality (green, blue) and a higher level will have more, or at least better, stats."
PawnUIFrame_ShowItemIDsCheck_Text = "Отображать ID вещи"
PawnUIFrame_ShowItemIDsCheck_Tooltip = "Enable this option to have Pawn display the item ID of every item you come across, as well as the IDs of all enchantments and gems.\n\nEvery item in World of Warcraft has an ID number associated with it.  This information is generally only useful to mod authors."
PawnUIFrame_ShowIconsCheck_Text = "Отображать иконку"
PawnUIFrame_ShowIconsCheck_Tooltip = "Enable this option to show inventory icons next to item link windows."
PawnUIFrame_ShowExtraSpaceCheck_Text = "Добавить пусту строку"
PawnUIFrame_ShowExtraSpaceCheck_Tooltip = "Keep your item tooltips extra tidy by enabling this option, which adds a blank line before the Pawn values."
PawnUIFrame_AlignRightCheck_Text = "Выровнять значения по правому краю"
PawnUIFrame_AlignRightCheck_Tooltip = "Enable this option to align your Pawn values (as well as item levels and item IDs) to the right edge of the tooltip instead of the left."
PawnUIFrame_AsterisksHeaderLabel_Text = "Отображать (*) для неизвестных статов:"
PawnUIFrame_AsterisksAutoRadio_Text = "Авто (не для вещей без статов)"
PawnUIFrame_AsterisksAutoRadio_Tooltip = "Не добавлять (*) на вещи который не имеют статов, таких как Камень Возвращений.  По-умолчанию."
PawnUIFrame_AsterisksAutoNoTextRadio_Text = "Авто, но без сообщения"
PawnUIFrame_AsterisksAutoNoTextRadio_Tooltip = "Тоже что и авто , но без сообщения 'Pawn не обнаружил значения для некоторых статов'."
PawnUIFrame_AsterisksOnRadio_Text = "Вкл для всех вещей"
PawnUIFrame_AsterisksOnRadio_Tooltip = "Всегда отображать (*) и сообщений, даже для вещей таких как Камень Возвращения"
PawnUIFrame_AsterisksOffRadio_Text = "Никогда"
PawnUIFrame_AsterisksOffRadio_Tooltip = "Никогда не отображать (*) и сообщение."

PawnUIFrame_CalculationOptionsHeaderLabel_Text = "Опции вычислений"
PawnUIFrame_DigitsBox_Label_Text = "Точность:"
PawnUIFrame_DigitsBox_Tooltip = "Specify how many digits of precision you want in your Pawn values, 0-9.  0 rounds all Pawn values to whole numbers ('25').  1 is the default ('24.5')."
PawnUIFrame_UnenchantedValuesCheck_Text = "Считать значение без энчантов"
PawnUIFrame_UnenchantedValuesCheck_Tooltip = "Enable this option to have Pawn calculate values for unenchanted versions of items.  An unenchanted item has no enchantments or gems, as if it just dropped or was bought from the vendor.\n\nIf enchanted values are also enabled, the unenchanted value will be shown second, in parentheses.  If both values are the same (such as if the item is not enchanted), only one number is shown."
PawnUIFrame_EnchantedValuesCheck_Text = "Считать значение с энчантами"
PawnUIFrame_EnchantedValuesCheck_Tooltip = "Enable this option to have Pawn calculate values for items exactly as they are, including all enchantments and gems if present.\n\nIf unenchanted values are also enabled, the enchanted value will be shown first."
PawnUIFrame_NormalizeValuesCheck_Text = "Нормализировать значения (как Wowhead)"
PawnUIFrame_NormalizeValuesCheck_Tooltip = "Enable this option to divide all Pawn values by the sum of all numbers in your scale, like Wowhead and Lootzor does.\n\nFor more information on this setting, see the readme file."
PawnUIFrame_DebugCheck_Text = "Отображать отладочную информацию"
PawnUIFrame_DebugCheck_Tooltip = "If you're not sure how Pawn is calculating the values for a particular item, enable this option to make Pawn spam all sorts of 'useful' data to the chat console whenever you hover over an item.  This information includes which stats Pawn thinks the item has, which parts of the item Pawn doesn't understand, and how it took each one into account for each of your scales.\n\nThis option will fill up your chat log quickly, so you'll want to turn it off once you're finished investigating.\n\nShortcuts:\n/pawn debug on\n/pawn debug off"

PawnUIFrame_OtherOptionsHeaderLabel_Text = "Другие опции"
PawnUIFrame_ButtonPositionHeaderLabel_Text = "Отображать кнопку Pawn:"
PawnUIFrame_ButtonRightRadio_Text = "Справа"
PawnUIFrame_ButtonRightRadio_Tooltip = "Show the Pawn button in the lower-right corner of the Character Info panel."
PawnUIFrame_ButtonLeftRadio_Text = "Слева"
PawnUIFrame_ButtonLeftRadio_Tooltip = "Show the Pawn button in the lower-left corner of the Character Info panel."
PawnUIFrame_ButtonOffRadio_Text = "Спрятать"
PawnUIFrame_ButtonOffRadio_Tooltip = "Don't show the Pawn button on the Character Info panel."

-- Configuration UI, About tab
PawnUIFrame_AboutTab_Text = "О аддоне"
PawnUIFrame_AboutHeaderLabel_Text = "by Vger-Azjol-Nerub"
PawnUIFrame_AboutVersionLabel_Text = "Версия %s"
PawnUIFrame_AboutTranslationLabel_Text = "Русский перевод от Warr'а" -- Translators: credit yourself here... "Klingon translation by Stovokor"
PawnUIFrame_WebsiteLabel_Text = "Для других модов от Vger, посетите vgermods.com."
PawnUIFrame_ReadmeLabel_Text = "Не будь нубом!  См. readme файл который поставляется с Pawn для пошаговой инструкции как использовать Pawn."

-- Configuration UI, Help tab
PawnUIFrame_HelpTab_Text = "Для начала"
PawnUIFrame_GettingStartedLabel_Text =
	VgerCore.Color.White ..
	"Добро пожаловать в Pawn!  " ..
	VgerCore.Color.Salmon .. 
	"Для инструкций по использованию, взгляните на Readme file.  (Я суръезно.)  " ..
	VgerCore.Color.White ..
	"Но, тут некоторые подсказки для начала.\n\n" ..
	VgerCore.Color.Blue ..
	"Pawn значения\n" ..
	VgerCore.Color.White ..
	"Pawn calculates Pawn values for items that you can use to quickly determine which of a pair of items is \"better\" according to rules you set up.  These values show up almost everywhere you see an item, at the bottom of the tooltip.\n\n" ..
	VgerCore.Color.Blue ..
	"Шкалы\n" ..
	VgerCore.Color.White ..
	"A scale is a list of item stats, with a point value for each stat.  For example, you might think that Stamina is worth 1 point and Agility is worth 2 points.  You can have any number of scales, each one tailored for different situations -- you could have one scale for PVP and one for PVE, and your PVP scale could value stamina and resilience more than your PVE scale.  It's up to you to decide what stats are worth.  For each scale you have, Pawn will add one more number to your item tooltips.\n\n" ..
	VgerCore.Color.Blue ..
	"Изменение и добавление шкал\n" ..
	VgerCore.Color.White ..
	"You'll want to customize your Pawn scales on the Scales tab of this window.  You start out with one scale that you can work with right away, but you can also add more -- just find the stat you want to change, and type a new value.  In addition, you can import \"scale tags\" that you copy and paste from forums and other websites.\n\n" ..
	VgerCore.Color.Blue ..
	"Учиться, учиться и еще раз учиться\n" ..
	VgerCore.Color.White ..
	"There's a lot more to learn about Pawn after you've learned the basics, so you'll want to skim through the readme file for more information on Pawn options, sharing Pawn scales with other people, and how Pawn takes things like enchantments and gems into account when determining item values.\n\n" ..
	"Наслаждайтесь!"

-- Inventory button
PawnUI_InventoryPawnButton_Tooltip = "Нажмите для отображения интерфейса Pawn."
PawnUI_InventoryPawnButton_Subheader = "Итого для одетых вещей:"

-- Socketing button
PawnUI_SocketingPawnButton_Tooltip = "Click to show the Pawn Gems UI."

-- Item socketing UI
PawnUI_ItemSocketingDescription_Header = "Pawn suggests the following gems:"

-- Interface Options page
PawnInterfaceOptionsFrame_OptionsHeaderLabel_Text = "Pawn options are found in the Pawn UI."
PawnInterfaceOptionsFrame_OptionsSubHeaderLabel_Text = "Click the Pawn button to go there.  You can also open Pawn from your inventory page, or by binding a key to it."

-- Bindings UI
BINDING_HEADER_PAWN = "Pawn"
BINDING_NAME_PAWN_TOGGLE_UI = "Toggle Pawn UI" -- Show or hide the Pawn UI
PAWN_TOGGLE_UI_DEFAULT_KEY = "P" -- Default key to assign to this command
BINDING_NAME_PAWN_COMPARE_LEFT = "Сравнить (слева)" -- Set the currently hovered item to be the left-side Compare item
PAWN_COMPARE_LEFT_DEFAULT_KEY = "[" -- Default key to assign to this command
BINDING_NAME_PAWN_COMPARE_RIGHT = "Сравнить (справа)" -- Set the currently hovered item to be the right-side Compare item
PAWN_COMPARE_RIGHT_DEFAULT_KEY = "]" -- Default key to assign to this command


PawnLocal =
{

	-- General messages
	["NeedNewerVgerCoreMessage"] = "Pawn needs a newer version of VgerCore.  Please use the version of VgerCore that came with Pawn.",
	
	-- Scale management dialog messages
	["NewScaleEnterName"] = "Введите имя шкалы:",
	["NewScaleNoQuotes"] = "A scale can't have \" in its name.  Enter a name for your scale:",
	["NewScaleDuplicateName"] = "A scale with that name already exists.  Enter a name for your scale:",
	
	["CopyScaleEnterName"] = "Введите имя для новой шкалы копии %s:", -- %s is the name of the existing scale
	["RenameScaleEnterName"] = "Введите новое имя шкалы %s:", -- %s is the old name of the scale
	["DeleteScaleConfirmation"] = "Вы уверены что хотите цдалить %s? Отменить удаление будет невозможно. Наберите \"%s\" для подтверждения:", -- First %s is the name of the scale, second %s is DELETE
	
	["ImportScaleMessage"] = "Press Ctrl+V to paste a scale tag that you've copied from another source here:",
	["ImportScaleTagErrorMessage"] = "Pawn doesn't understand that scale tag.  Did you copy the whole tag?  Try copying and pasting again:",
	
	["ExportScaleMessage"] = "Press Ctrl+C to copy the following scale tag for |cffffffff%s|r, and then press Ctrl+V to paste it later.", -- %s is name of scale
	
	-- Configuration UI, Scales tab
	["NoStatDescription"] = "Choose a stat from the list on the left to give it a value.",
	["NoScalesDescription"] = "To begin, import a scale or start a new one.",
	["StatNameText"] = "1 |cffffffff%s|r цениться:", -- |cffffffff%s|r is the name of the stat, in white
	
	-- Generic string dialogs
	["OKButton"] = "OK",
	["CancelButton"] = "Отмена",
	["CloseButton"] = "Закрыть",
	
	-- Debug messages
	["EnchantedStatsHeader"] = "(текущее значение)",
	["UnenchantedStatsHeader"] = "(базовое значение)",
	["FailedToGetItemLinkMessage"] = "   Ошибка получения ссылки из тултипа.  Это может быть из-за конфликтов mod-ов.",
	["FailedToGetUnenchantedItemMessage"] = "   Ошибка получения базового значения.  Это может быть из-за конфликтов mod-ов.",
	["DidntUnderstandMessage"] = "   (*) не распознано \"%s\".",
	["FoundStatMessage"] = "   %d %s", -- 25 Stamina
	
	["ValueCalculationMessage"] = "   %g %s x %g каждый = %g", -- 25 Stamina x 1 each = 25
	["NoValueMessage"] = "   %s без значения.", -- Stamina has no value.
	["SocketBonusValueCalculationMessage"] = "   -- Socket bonus будет цениться:",
	["MissocketWorthwhileMessage"] = "   -- Но лучше использовать только %s камень:", -- Better to use only Red/Blue gems:
	["NormalizationMessage"] = "   ---- Нормализовано делением на %g", -- Normalized by dividing by 3.5
	["TotalValueMessage"] = "   ---- Итого: %g", -- Total: 25
	
	-- Tooltip annotations
	["ItemIDTooltipLine"] = "ID вещи",
	["ItemLevelTooltipLine"] = "Уровень вещи",
	["AverageItemLevelTooltipLine"] = "Эпический уровень",
	["BaseValueWord"] = "база", -- 123.45 (98.76 base)
	["AsteriskTooltipLine"] = "* Pawn не смог определить значения для некоторых статов.",
	
	-- Gem stuff
	["GenericGemName"] = "(Gem %d)", -- (Gem 12345)
	["GenericGemLink"] = "|Hitem:%d|h[Gem %d]|h", -- [Gem 12345]
	["GemColorList1"] = "%d %s", -- 2 Red
	["GemColorList2"] = "%d %s или %s", -- 3 Red or Yellow
	["GemColorList3"] = "%d любого цвета", -- 1 of any color
	
	["GemQualityLevel80Uncommon"] = "Уровнеь 80 необычный",
	["GemQualityLevel80Rare"] = "Уровень 80 редкий",
	["GemQualityLevel80Epic"] = "Уровень 80 эпический",
	["MetaGemQualityLevel80Rare"] = "Уровень 80 crafted", -- currently not used

	-- Slash commands
	["DebugOnCommand"] = "отладка вкл",
	["DebugOffCommand"] = "отладка выкл",
	
	["Usage"] = [[
Pawn by Vger-Azjol-Nerub
www.vgermods.com
 
/pawn -- для отображения и скрытия интерфейса Pawn
/pawn debug [ on | off ] -- писать информацию отладки в консоль
 
For more information on customizing Pawn, please see the help file (Readme.htm) that comes with the mod.
]],

}


------------------------------------------------------------
-- Tooltip parsing expressions
------------------------------------------------------------

-- Turns a game constant into a regular expression.
--function PawnGameConstant(Text)
--	return "^" .. PawnGameConstantUnwrapped(Text) .. "$"
--end
--function PawnGameConstantUnwrapped(Text)
--	return string.gsub(string.gsub(Text, "%%", "%%%%"), "%-", "%%-")
--end

-- These strings indicate that a given line might contain multiple stats, such as complex enchantments
-- (ZG, AQ) and gems.  These are sorted in priority order.  If a string earlier in the table is present, any
-- string later in the table can be ignored.
PawnSeparators =
{
	", ",
	"/",
	" и ",
}

-- This string indicates that whatever stats follow it on the same line is the item's socket bonus.
PawnSocketBonusPrefix = "При соответствии цвета: "

-- Lines that match any of the following patterns will cause all further tooltip parsing to stop.
PawnKillLines =
{
	"^ \n$", -- The blank line before set items before WoW 2.3
	" %(%d+/%d+%)$", -- The (1/8) on set items for all versions of WoW
	"^|cff00e0ffDropped By", -- Mod compatibility: MobInfo-2 (should match mifontLightBlue .. MI_TXT_DROPPED_BY)
}

-- Lines that begin with any of the following strings will not be searched for separator strings.
PawnSeparatorIgnorePrefixes =
{
	'"', -- double quote

	-- Русские названия
	
	"Если на персонаже:",
	"Использование:",
	"Возможно при попадании:",
}

-- Items that begin with any of the following strings will never be parsed.
PawnIgnoreNames =
{
	-- Русские названия
	"Выкройка:",
	"Чертеж:",
	"Формула:",
	"Рецепт:",
	"Эскиз:",
}

-- This is a list of regular expression substitutions that Pawn performs to normalize stat names before running
-- them through the normal gauntlet of expressions.
PawnNormalizationRegexes =
{
	{"^([%w%s%.]+) %+(%d+)$", "+%2 %1"}, -- "Stamina +5" --> "+5 Stamina"
	{"^(.-)|r.*", "%1"}, -- For removing meta gem requirements
}

-- These regular expressions are used to parse item tooltips.
-- The first string is the regular expression to match.  Stat values should be denoted with "(%d+)".
-- Subsequent strings follow this pattern: Stat, Number, Source
-- Stat is the name of a statistic.
-- Number is either the amount of that stat to include, or the 1-based index into the matches array produced by the regex.
-- If it's an index, it can also be negative to mean that the stat should be subtracted instead of added.  If nil, defaults to 1.
-- Source is either PawnMultipleStatsFixed if Number is the amount of the stat, or PawnMultipleStatsExtract or nil if Number is the matches array index.
-- Note that certain strings don't need to be translated: for example, the game defines
-- ITEM_BIND_ON_PICKUP to be "Binds when picked up" in English, and the correct string
-- in other languages automatically.
PawnMultipleStatsFixed = "_MultipleFixed"
PawnMultipleStatsExtract = "_MultipleExtract"
PawnRegexes =
{
	-- ========================================
	-- Русские значения
	-- ========================================
	{"^Используется в комплектах:"}, -- для Outfitter
	-- Базовые статы
	{"^Броня: (%d+)$", "BaseArmor"},
	{"^%+?(%-?%d+) к силе$", "Strength"},
	{"^%+?(%-?%d+) к ловкости$", "Agility"},
	{"^%+?(%-?%d+) к выносливости$", "Stamina"},
	{"^%+?(%-?%d+) к интеллекту$", "Intellect"},
	{"^%+?(%-?%d+) к духу$", "Spirit"},
	{"^%+?(%d+) к силе заклинаний$", "SpellPower"},
	{"^%+?(%d+) к урону от заклинаний огня$", "FireSpellDamage"},
	{"^%+?(%d+) к рейтингу критического удара$", "CritRating"},
	{"^%+?(%d+) к рейтингу устойчивости$", "ResilienceRating"},
	{"^%+?(%d+) к рейтингу скорости боя$", "HasteRating"},
	{"^%+?(%d+) к рейтингу скорости$", "HasteRating"},
	{"^%+?(%d+) к рейтингу меткости$", "HitRating"},
	{"^%+?(%d+) к мане$", "Mana"},
	{"^%+?(%d+) к рейтингу пробивания брони$", "ArmorPenetration"}, -- Fractured Scarlet Ruby
	
	{"^%+?(%d+) к силе атаки$", "Ap"},
	{"^%+?(%d+) к силе атаки в дальнем бою$", "Rap"},
	{"^%+(%d+) Показатель блока$", "BlockValue"},
	{"^%+?(%d+) Блокирование$", "BlockValue"},
	{"^Блокирование: (%d+)$", "BlockValue"},
	{"^Увеличивает силу атаки на (%d+) в облике кошки, медведя, лютого медведя (или|и) лунного совуха%.$"}, -- урон от оружия для друида. Работает, нет?
	
	-- Урон от оружия
	{"^Урон: (%d-) %- (%d-)$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 2, PawnMultipleStatsExtract},
	{"^Урон: (%d-)$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 1, PawnMultipleStatsExtract}, -- для Визжашего лука
	{"^%+?(%d-) %- (%d-) ед%. урона от магии огня$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 2, PawnMultipleStatsExtract},
	{"^%+?(%d-) %- (%d-) ед%. урона от огня$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 2, PawnMultipleStatsExtract},
	{"^%+?(%d-) %- (%d-) ед%. урона от темной магии$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 2, PawnMultipleStatsExtract},
	{"^%+?(%d-) %- (%d-) ед%. урона от сил природы$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 2, PawnMultipleStatsExtract},
	{"^%+?(%d-) %- (%d-) ед%. урона от тайной магии$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 2, PawnMultipleStatsExtract},
	{"^%+?(%d-) %- (%d-) ед%. урона от магии льда$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 2, PawnMultipleStatsExtract},
	{"^%+?(%d-) %- (%d-) ед%. урона от светлой магии$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 2, PawnMultipleStatsExtract},
	{"^%(([%d%.,]+) ед%. урона в секунду%)$"}, -- Ignore this; DPS is calculated manually

	-- Если на персонаже
	{"^Если на персонаже: Увеличивает силу заклинаний на (%d+)%.$", "SpellPower"},
	{"^Если на персонаже: Увеличивает силу заклинаний на (%d+) ед%.$", "SpellPower"},
	{"^Если на персонаже: Увеличивает проникающую способность заклинаний на (%d+)%.$", "SpellPenetration"},
	{"^Если на персонаже: Увеличивает силу атаки на (%d+)%.$", "Ap"},
	{"^Если на персонаже: Увеличение силы атаки в дальнем бою на (%d+)%.$", "Rap"},
	{"^Если на персонаже: Увеличение показателя блока щитом на (%d+)%.$", "BlockValue"},
	{"^Если на персонаже: Увеличение показателя блока щитом на (%d+) ед%.$", "BlockValue"},
	{"^Если на персонаже: Увеличивает силу атаки на (%d+) ед%. в облике кошки, медведя, лютого медведя (или|и) лунного совуха%.$"},
	{"^Если на персонаже: Сила атаки увеличена на (%d+)%.$", "Ap"},
	{"^Если на персонаже: Эффективность брони противника против ваших атак снижена на (%d+) ед%.$", "ArmorPenetration"},

	-- Рейтинги
	{"^Если на персонаже: Рейтинг критического удара %+?(%d+)%.$", "CritRating"},
	{"^Если на персонаже: Рейтинг скорости боя %+?(%d+)%.$", "HasteRating"},
	{"^Если на персонаже: Рейтинг скорости %+?(%d+)%.$", "HasteRating"},
	{"^Если на персонаже: Рейтинг меткости %+?(%d+)%.$", "HitRating"},
	{"^Если на персонаже: Рейтинг устойчивости %+?(%d+)%.$", "ResilienceRating"},
	{"^Если на персонаже: Рейтинг защиты %+?(%d+)%.$", "DefenseRating"},
	{"^Если на персонаже: Рейтинг уклонения %+?(%d+)%.$", "DodgeRating"},
	{"^Если на персонаже: Рейтинг мастерства %+?(%d+)%.$", "ExpertiseRating"},
	{"^Если на персонаже: Рейтинг парирования %+?(%d+)%.$", "ParryRating"},
	{"^Если на персонаже: Рейтинг блокирования щитом (%d+)%.$", "BlockRating"},
	{"^Если на персонаже: Увеличение рейтинга защиты на (%d+)%.$", "DefenseRating"},
	{"^Если на персонаже: Увеличение рейтинга блока на (%d+)%.$", "BlockRating"},
	{"^Если на персонаже: Увеличивает рейтинг пробивания брони на (%d+)%.$", "ArmorPenetration"}, 
	{"^Если на персонаже: Повышает рейтинг пробивания брони на (%d+)%.$", "ArmorPenetration"}, 
	{"^Если на персонаже: Увеличивает силу атаки на (%d+) ед%.$", "Ap"},

	-- Восполнение
	{"^Если на персонаже: Восполнение (%d+) ед%. маны раз в 5 секунд%.$", "Mp5"},
	{"^Если на персонаже: Восполнение (%d+) ед%. маны в 5 секунд%.$", "Mp5"},
	
	-- Энчанты
	{"^%+(%d+) ко всем характеристикам$", "Strength", 1, PawnMultipleStatsExtract, "Agility", 1, PawnMultipleStatsExtract, "Stamina", 1, PawnMultipleStatsExtract, "Intellect", 1, PawnMultipleStatsExtract, "Spirit", 1, PawnMultipleStatsExtract},
	{"^Могущество$", "Strength", 20, PawnMultipleStatsFixed},
	{"^Быстрота вепря$", "Stamina", 9, PawnMultipleStatsFixed},
	{"^Проворство кошки$", "Agility", 6, PawnMultipleStatsFixed},
	--{"^Живучесть клыкарра$", "Stamina", 15, PawnMultipleStatsFixed},
	{"^Повышение защиты %+(%d)%$", "DefenseRating"},
	{"^Огненное оружие$", "Dps", 4, PawnMultipleStatsFixed},
	{"^Верный шаг$", "HitRating", 10, PawnMultipleStatsFixed, "CritRating", 10, PawnMultipleStatsFixed},
	{"^Свирепость$", "Ap", 70, PawnMultipleStatsFixed},
	--{"^Ледопроходец$", "HitRating", 12, PawnMultipleStatsFixed, "CritRating", 12, PawnMultipleStatsFixed},
	{"^%+?(%d+)$ рейтинг меткости, %+?(%d+) рейтинг критического удара$", "HitRating", 1, PawnMultipleStatsExtract, "CritRating", 2, PawnMultipleStatsExtract}, -- он же ледопроходец
	{"^Точность$", "HitRating", 20, PawnMultipleStatsFixed},
	{"^Доспех усилен %(%+(%d+) к броне%)$", "BonusArmor"},
	{"^%+?(%d+) к урону оружием$", "MinDamage", 1, PawnMultipleStatsExtract, "MaxDamage", 1, PawnMultipleStatsExtract}, -- Weapon enchantments
	{"^%+(%d+) к броне$", "BonusArmor"},
	{"^%+(%d+) ед%. маны каждые 5 секунд$", "Mp5"},
	{"^Легкотканая вышивка$", "HolySpellDamage", 62.5, PawnMultipleStatsFixed},
	
	-- Текст
	{"^Классы:"},
	{"^Расы:"},
	{"^Требуется"},
	{"^Прочность:"},
	
	-- Камни
	{"^%+?(%d+) к силе заклинаний и снижение угрозы на 2%%$", "SpellPower"},
	{"^%+?(%d+) к силе заклинаний и %+?(%d+) к рейтингу критического (удара|эффекта)$", "SpellPower", 1, PawnMultipleStatsExtract, "CritRating", 2, PawnMultipleStatsExtract},
	{"^%+?(%d+) к силе заклинаний и %+?(%d+) к выносливости$", "SpellPower", 1, PawnMultipleStatsExtract, "Stamina", 2, PawnMultipleStatsExtract},
	{"^%+?(%d+) к рейтингу меткости и %+?(%d+) к выносливости$", "HitRating", 1, PawnMultipleStatsExtract, "Stamina", 2, PawnMultipleStatsExtract},
	{"^%+?(%d+) к рейтингу меткости и %+?(%d+) к мане каждые 5 секунд$", "HitRating", 1, PawnMultipleStatsExtract, "Mp5", 2, PawnMultipleStatsExtract},
		
	-- Сокеты
	{"^красное гнездо$", "RedSocket", 1, PawnMultipleStatsFixed},
	{"^желтое гнездо", "YellowSocket", 1, PawnMultipleStatsFixed},
	{"^синее гнездо$", "BlueSocket", 1, PawnMultipleStatsFixed},
	{"^бесцветное гнездо$", "ColorlessSocket", 1, PawnMultipleStatsFixed},
	{"^особое гнездо$", "MetaSocket", 1, PawnMultipleStatsFixed},
	{"^\"Only fits in a meta gem slot%.\"$", "MetaSocketEffect", 1, PawnMultipleStatsFixed}, -- Actual meta gems, not the socket

	
	-- Устойчивость к магии
	{"^Устойчивость: %+?(%-?%d+) Огонь$", "FireResist"},
	{"^Устойчивость: %+?(%-?%d+) Лед$", "FrostResist"},
	{"^Устойчивость: %+?(%-?%d+) Тьма$", "ShadowResist"},
	{"^Устойчивость: %+?(%-?%d+) Природа$", "NatureResist"},
	{"^Устойчивость: %+?(%-?%d+) Тайная магия$", "ArcaneResist"},	

	-- ========================================
	-- Common strings that are ignored (rare ones are at the bottom of the file)
	-- ========================================
	{PawnGameConstant(ITEM_QUALITY0_DESC)}, -- Poor
	{PawnGameConstant(ITEM_QUALITY1_DESC)}, -- Common
	{PawnGameConstant(ITEM_QUALITY2_DESC)}, -- Uncommon
	{PawnGameConstant(ITEM_QUALITY3_DESC)}, -- Rare
	{PawnGameConstant(ITEM_QUALITY4_DESC)}, -- Epic
	{PawnGameConstant(ITEM_QUALITY5_DESC)}, -- Legendary
	{PawnGameConstant(ITEM_QUALITY7_DESC)}, -- Heirloom -- *** not available until patch 3.1
	{PawnGameConstant(ITEM_HEROIC)}, -- Heroic (Thrall's Chestguard of Triumph, level 258 version)
	{PawnGameConstant(ITEM_HEROIC_EPIC)}, -- Heroic Epic (Thrall's Chestguard of Triumph, level 258 version, with colorblind mode on)
	{"^" .. ITEM_LEVEL}, -- Item Level 200
	{PawnGameConstant(ITEM_UNSELLABLE)}, -- No sell price
	{PawnGameConstant(ITEM_SOULBOUND)}, -- Soulbound
	{PawnGameConstant(ITEM_BIND_ON_EQUIP)}, -- Binds when equipped
	{PawnGameConstant(ITEM_BIND_ON_PICKUP)}, -- Binds when picked up
	{PawnGameConstant(ITEM_BIND_ON_USE)}, -- Binds when used
	{PawnGameConstant(ITEM_BIND_TO_ACCOUNT)}, -- Binds to account (Polished Spaulders of Valor)
	{"^" .. PawnGameConstantUnwrapped(ITEM_UNIQUE)}, -- Unique; leave off the $ for Unique(20)
	{"^" .. PawnGameConstantUnwrapped(ITEM_BIND_QUEST)}, -- Leave off the $ for MonkeyQuest mod compatibility
	{PawnGameConstant(ITEM_STARTS_QUEST)}, -- This Item Begins a Quest
	{PawnGameConstant(ITEM_CONJURED)}, -- Conjured Item
	{PawnGameConstant(ITEM_PROSPECTABLE)}, -- Prospectable
	{PawnGameConstant(ITEM_MILLABLE)}, -- Millable
	{PawnGameConstant(ITEM_DISENCHANT_NOT_DISENCHANTABLE)}, -- Cannot be disenchanted
	{PawnGameConstant(ITEM_ENCHANT_DISCLAIMER)}, -- Item will not be traded!
	{"^.+ зарядов?$"}, -- Brilliant Mana Oil
	{PawnGameConstant(LOCKED)}, -- Locked
	{PawnGameConstant(ENCRYPTED)}, -- Encrypted (Floral Foundations) (does not seem to exist in the game yet)
	{PawnGameConstant(ITEM_SPELL_KNOWN)}, -- Already Known
	{PawnGameConstant(INVTYPE_HEAD)}, -- Head
	{PawnGameConstant(INVTYPE_NECK)}, -- Neck
	{PawnGameConstant(INVTYPE_SHOULDER)}, -- Shoulder
	{PawnGameConstant(INVTYPE_CLOAK)}, -- Back
	{PawnGameConstant(INVTYPE_ROBE)}, -- Chest
	{PawnGameConstant(INVTYPE_BODY)}, -- Shirt
	{PawnGameConstant(INVTYPE_TABARD)}, -- Tabard
	{PawnGameConstant(INVTYPE_WRIST)}, -- Wrist
	{PawnGameConstant(INVTYPE_HAND)}, -- Hands
	{PawnGameConstant(INVTYPE_WAIST)}, -- Waist
	{PawnGameConstant(INVTYPE_FEET)}, -- Feet
	{PawnGameConstant(INVTYPE_LEGS)}, -- Legs
	{PawnGameConstant(INVTYPE_FINGER)}, -- Finger
	{PawnGameConstant(INVTYPE_TRINKET)}, -- Trinket
	{PawnGameConstant(MAJOR_GLYPH)}, -- Major Glyph
	{PawnGameConstant(MINOR_GLYPH)}, -- Minor Glyph
	{"<.+>"}, -- Made by, Right-click to read, etc. (No ^$; can be prefixed by a color)
	{'^"'}, -- Flavor text
	{"^%d+ [Яя]чеек .+$"}, -- Bags of all kinds
	{"^.+%(%d+ сек%)$"}, -- Temporary item buff
	{"^.+%(%d+ мин%)$"}, -- Temporary item buff
	
	-- ========================================
	-- Strings that represent statistics that Pawn cares about
	-- ========================================
	{"^Оружие дальнего боя$", "IsRanged", 1, PawnMultipleStatsFixed}, -- Ranged
	{"^Дальний бой$", "IsRanged", 1, PawnMultipleStatsFixed}, -- Bow
	{"^Боеприпасы$", "IsRanged", 1, PawnMultipleStatsFixed}, -- Projectile
	{"^Метательное$", "IsRanged", 1, PawnMultipleStatsFixed}, -- Thrown
	{"^Одноручное$", "IsOneHand", 1, PawnMultipleStatsFixed}, -- One-Hand
	{"^Двуручное$", "IsTwoHand", 1, PawnMultipleStatsFixed}, -- Two-Hand
	{"^Правая рука$", "IsMainHand", 1, PawnMultipleStatsFixed}, -- Main Hand
	{"^Левая рука$", "IsOffHand", 1, PawnMultipleStatsFixed}, -- Off Hand
	{PawnGameConstant(INVTYPE_HOLDABLE)}, -- Held In Off-Hand; no Pawn stat for this

	-- ========================================
	-- Питомец
	-- ========================================
	{"^Если на персонаже: Увеличение силы атаки питомца на (%d+) ед%. усиление его брони на (%d+) ед%. и повышение выносливости на (%d+) ед%.$", "Pap", 1, PawnMultipleStatsExtract, "PetArmor", 2, PawnMultipleStatsExtract, "PetStamina",3, PawnMultipleStatsExtract},	
}

-- These regexes work exactly the same as PawnRegexes, but they're used to parse the right side of tooltips.
-- Unrecognized stats on the right side are always ignored.
PawnRightHandRegexes =
{
	{"^Скорость ([%d%.,]+)$", "Speed"},
	{"^Стрелы$", "IsBow", 1, PawnMultipleStatsFixed},
	{"^Топор$", "IsAxe", 1, PawnMultipleStatsFixed},
	{"^Лук$", "IsBow", 1, PawnMultipleStatsFixed},
	{"^Пули$", "IsGun", 1, PawnMultipleStatsFixed},
	{"^Арбалет$", "IsCrossbow", 1, PawnMultipleStatsFixed},
	{"^Кинжал$", "IsDagger", 1, PawnMultipleStatsFixed},
	{"^Кистевое$", "IsFist", 1, PawnMultipleStatsFixed},
	{"^Огнестрельное$", "IsGun", 1, PawnMultipleStatsFixed},
	{"^Дробящее$", "IsMace", 1, PawnMultipleStatsFixed},
	{"^Древковое$", "IsPolearm", 1, PawnMultipleStatsFixed},
	{"^Посох$", "IsStaff", 1, PawnMultipleStatsFixed},
	{"^Меч$", "IsSword", 1, PawnMultipleStatsFixed},
	{"^Метательное$", "IsThrown", 1, PawnMultipleStatsFixed},
	{"^Жезл$", "IsWand", 1, PawnMultipleStatsFixed},
	{"^Ткань$", "IsCloth", 1, PawnMultipleStatsFixed},
	{"^Кожа$", "IsLeather", 1, PawnMultipleStatsFixed},
	{"^Кольчуга$", "IsMail", 1, PawnMultipleStatsFixed},
	{"^Латы$", "IsPlate", 1, PawnMultipleStatsFixed},
	{"^Щит$", "IsShield", 1, PawnMultipleStatsFixed},
}

end
